#

API Docs for: 2.0.0
Show: Inherited Protected Private Deprecated

# TiltShiftYFilter Class

Extends AbstractFilter
Defined in: `src/pixi/filters/TiltShiftYFilter.js:6`
Module: PIXI

A TiltShiftYFilter.

## Constructor

### `TiltShiftYFilter`

()

Defined in `src/pixi/filters/TiltShiftYFilter.js:6`

- Index
- Methods
- Properties

## Item Index

### Methods

- syncUniforms
- updateDelta

### Properties

- blur
- dirty
- end
- fragmentSrc
- gradientBlur
- padding
- passes
- shaders
- start
- uniforms

## Methods

### `syncUniforms`

()

Inherited from AbstractFilter: `src/pixi/filters/AbstractFilter.js:60`

Syncs the uniforms between the class object and the shaders.

### `updateDelta`

()

Defined in `src/pixi/filters/TiltShiftYFilter.js:138`

Updates the filter delta values.

## Properties

### `blur`

Number

Defined in `src/pixi/filters/TiltShiftYFilter.js:72`

The strength of the blur.

### `dirty`

Boolean

Inherited from AbstractFilter: `src/pixi/filters/AbstractFilter.js:31`

### `end`

Number

Defined in `src/pixi/filters/TiltShiftYFilter.js:121`

The Y value to end the effect at.

### `fragmentSrc`

Array private

Inherited from AbstractFilter: `src/pixi/filters/AbstractFilter.js:50`

### `gradientBlur`

Number

Defined in `src/pixi/filters/TiltShiftYFilter.js:88`

The strength of the gradient blur.

### `padding`

Number

Inherited from AbstractFilter: `src/pixi/filters/AbstractFilter.js:37`

### `passes`

Array an array of filter objects private

Inherited from AbstractFilter: `src/pixi/filters/AbstractFilter.js:15`

An array of passes - some filters contain a few steps this array simply stores the steps in a liniear fashion. For example the blur filter has two passes blurX and blurY.

### `shaders`

Array an array of shaders private

Inherited from AbstractFilter: `src/pixi/filters/AbstractFilter.js:24`

### `start`

Number

Defined in `src/pixi/filters/TiltShiftYFilter.js:104`

The Y value to start the effect at.

### `uniforms`

Object private

Inherited from AbstractFilter: `src/pixi/filters/AbstractFilter.js:43`